package com.autentia.citas.utils;

import java.util.Calendar;
import java.util.List;

import javax.ejb.EJB;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import com.autentia.citas.dao.Dao;
import com.autentia.citas.model.Cita;
import com.autentia.citas.model.Contacto;


public class PopulatorListener implements ServletContextListener {

	@EJB
	private Dao dao;

	@Override
	public void contextDestroyed(ServletContextEvent event) {

	}

	@Override
	public void contextInitialized(ServletContextEvent event) {
		
		List<Contacto> contactos = (List<Contacto>) dao.getAll(Contacto.class);

		if (contactos == null || contactos.size() == 0) {

			Contacto contacto = new Contacto();
			contacto.setNombre("Francisco Javier");
			contacto.setApellidos("Martnez Pez");
			contacto.addEmail("fjmpaez@autentia.com");
			contacto.addEmail("fjmpaez@acme.com");
			contacto.addTelefono("915551111");
			contacto.addTelefono("620999999");

			Cita cita = new Cita();
			cita.setAsunto("Quedada en el parque con los nios");
			Calendar cal = Calendar.getInstance();
			cal.set(Calendar.YEAR, 2014);
			cal.set(Calendar.DAY_OF_MONTH, 21);
			cal.set(Calendar.MONTH, 7);
			cita.setFecha(cal.getTime());

			cal.set(Calendar.YEAR, 2012);
			cal.set(Calendar.DAY_OF_MONTH, 21);
			cal.set(Calendar.MONTH, 7);

			Cita cita2 = new Cita();
			cita2.setAsunto("Reunin de seguimiento proyecto ACME LA CAMA");
			cita2.setFecha(cal.getTime());

			contacto.addCita(cita);
			contacto.addCita(cita2);

			dao.create(contacto);
			
			
			
			Contacto contacto1 = new Contacto();
			contacto1.setNombre("Federico");
			contacto1.setApellidos("Lpez");
			contacto1.addEmail("fede@autentia.com");			
			contacto1.addTelefono("915552222");
			dao.create(contacto1);
			

		}

	}

}
